Subject: bug#15392: xorg-server FTBFS

From: Andreas Enge <[email-masked]>
Date: Mon, 23 Sep 2013 19:22:56 +0200

On Sun, Sep 22, 2013 at 10:35:54PM +0200, Ludovic Courtès wrote:
> Could it be that xtest does something not possible in the chroot?  Like
> host name lookups, or similar (check the strace log for accesses to
> /etc/hosts or connections to /var/run/nscd/socket.)

Not that I could tell; I am attaching the strace output in case I overlooked
something. The only access I see outside of the nix store is in /tmp (consis-
tently with my configure flag that writes the compiled keymaps there), and
from what I grepped in the nix builder code, this is in the chroot.

Andreas